morphshape.hh File Reference
`#include <mia/2d/shape.hh>`
Include dependency graph for morphshape.hh:

Go to the source code of this file.

## Data Structures

class | C2DMorphShape
| a class for advanced morphological filter masks More...

## Typedefs

typedef C2DMorphShape::Pointer | P2DMorphShape
| The pointer type for the morp shape class.

## Functions

size_t EXPORT_2D | morph_hit_and_miss_2d (C2DBitImage &target, const C2DBitImage &source, const C2DMorphShape &shape)
size_t EXPORT_2D | morph_thinning_2d (C2DBitImage &target, const C2DBitImage &source, const C2DMorphShape &shape)

## Typedef Documentation

## P2DMorphShape

typedef C2DMorphShape::Pointer P2DMorphShape

The pointer type for the morp shape class.

Definition at line 103 of file morphshape.hh.

## Function Documentation

## morph_hit_and_miss_2d()

size_t EXPORT_2D morph_hit_and_miss_2d | ( | C2DBitImage & | target,
|  | const C2DBitImage & | source,
|  | const C2DMorphShape & | shape )

Implements the hit-and-miss transformation on a binary image with a given morphshape.

Parameters

  [in,out] | target | output bitmap, the image must be allocated and of the same size like the input image
  [in] | source | input image
  [in] | shape | structuring element to be used in the operation

Returns
  number of set pixels

References EXPORT_2D.

## morph_thinning_2d()

size_t EXPORT_2D morph_thinning_2d | ( | C2DBitImage & | target,
|  | const C2DBitImage & | source,
|  | const C2DMorphShape & | shape )

Implements the thinning transformation on a binary image with a given morphshape.

Parameters

  [in,out] | target | output bitmap, the image must be allocated and of the same size like the input image
  [in] | source | input image
  [in] | shape | structuring element to be used in the operation

Returns
  number of set pixels

References EXPORT_2D, and NS_MIA_END.